# Class FormControlMarkTouchedDirective

- Defined in packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:11

#####
Index

### Constructors

constructor

### Methods

onClick

##
Constructors

### constructor

- new FormControlMarkTouchedDirective(
  parent: ControlContainer,
  ): FormControlMarkTouchedDirective

  #### Parameters

  - parent: ControlContainer

  #### Returns FormControlMarkTouchedDirective

  - Defined in packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:13

##
Methods

### onClick

- onClick(): void

  #### Returns void

  - Defined in packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:17